import { BoxCollider, Button, Collider, Component, ConeCollider, CylinderCollider, ITriggerEvent, Label, Node, NodeEventType, RigidBody, SphereCollider, Vec3, _decorator, find, game } from 'cc';
import { StormSunderAudioMgr } from '../Manager/StormSunderAudioMgr';
import { EventDispatcher } from 'db://assets/core_tgx/easy_ui_framework/EventDispatcher';
import { GameEvent } from '../Enum/GameEvent';
import { UIJoyStick } from '../UIJoyStick';
import { GameMgr, GameStatus } from '../Manager/GameMgr';
import { PropComponent, PropStatus } from './PropComponent';
import { PlayerInfo } from './PlayerInfoComponent';
import { Effect2DUIMgr } from '../Manager/Effect2DUIMgr';
import { PlayerStatus, TornadoComponent } from './TornadoComponent';
const { ccclass, property } = _decorator;


/** 龙卷风AI组件*/
@ccclass('TornadoAIComponent')
export class TornadoAIComponent extends TornadoComponent {

    attack_ai: number = 1;
    speed_ai: number = 1;
    expPower_ai: number = 1;

    protected start(): void {
        super.start();
        this.ai = true;

        this.playerInfo.nickName = '阿西吧 ai';
        this.playerInfo.level = 1;

        console.log('playerInfo:', this.playerInfo);
        this.onPlayerInfoHandler();
    }

    protected onTriggerEnter(event: ITriggerEvent): void {
        super.onTriggerEnter(event)
    }

    protected onTriggerStay(event: ITriggerEvent): void {
        super.onTriggerStay(event);
        console.log('阿西吧 干它!!!!!!!!!!!!!!!!!!');
    }
}
